Bug 453546 - (monitorsyncproblem) Monitor sync is out of range while showing GDM greeter
Monitor sync is out of range while showing GDM greeter
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-vesa (Show other bugs)
9
All Linux
low Severity medium
: ---
: ---
Assigned To: Adam Jackson
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-07-01 05:10 EDT by Rainer Koenig
Modified: 2009-07-14 13:44 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-14 13:44:58 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
xorg.conf file (836 bytes, application/octet-stream)
2008-07-01 08:09 EDT, Rainer Koenig
no flags Details
Xorg log with xorg.conf in /etc/X11 (45.40 KB, text/plain)
2008-07-01 08:10 EDT, Rainer Koenig
no flags Details
output of lspci (1.79 KB, text/plain)
2008-07-01 08:11 EDT, Rainer Koenig
no flags Details
Xorg log without xorg.conf in /etc/X11 (13.14 KB, text/plain)
2008-07-01 08:11 EDT, Rainer Koenig
no flags Details

  None (edit)
Description Rainer Koenig 2008-07-01 05:10:06 EDT
Description of problem:

Freshly installed Fedora 9. After setting up everything the GDM greeter appears
and my monitor complains aboutfrequency out of range: "75 kHz / 60 Hz".

Version-Release number of selected component (if applicable):
xorg-x11-drv-vesa-1.3.0-15.20080404.fc9.i386

How reproducible:
Always. Install Fedora 9 from scratch and it happens. 


Steps to Reproduce:
1. Install Fedora 9
2. Follow the installation
3. When GDM shows up for the first time the monitor complains
  
Actual results:
Monitor shows error message which is annoying

Expected results:
No complaints from the monitor. 

Additional info:
The original xorg.conf after installation shows no Monitor section.
System config display adds the following monitor section if I select a generic
LCD Panel 1280x1024:

Section "Monitor"
        Identifier   "Monitor0"
        ModelName    "LCD Panel 1280x1024"
        HorizSync    31.5 - 64.0
        VertRefresh  56.0 - 65.0
        Option      "dpms"
EndSection

So, reading those sync settings everything seems to be correct, but the problem
still persists when the Xserver is restarted. 

Strange thing: When I login as a user (or root) I can call
gnome-display-properties and set the resolution to 1280x1024 there, then the
moniotor error messages disappears and the info panel in the OSD of the monitor
shows "63 kHz / 59 Hz". 

But it can't be the purpose to define screen frequency settings on a "per user
basis". So the questions are:

- Why are the settings in the xorg.conf ignored?
- How can I solve the problem in a way that there is no moving box error message
displayed from the monitors fimrware because the settings are incorrect. Thank
god my monitor is smart enough to complain and is not just showing a destroyed
image. :-)

Regards
Rainer
Comment 1 Matěj Cepl 2008-07-01 07:44:10 EDT
Thanks for the bug report.  We have reviewed the information you have provided
above, and there is some additional information we require that will be helpful
in our diagnosis of this issue.

Please attach your X server config file (/etc/X11/xorg.conf) and X server log
file (/var/log/Xorg.*.log) to the bug report as individual uncompressed file
attachments using the bugzilla file attachment link below.

Could you please also try to run without any /etc/X11/xorg.conf whatsoever and
let X11 autodetect your display and video card? Attach to this bug
/var/log/Xorg.0.log from this attempt as well, please.

We will review this issue again once you've had a chance to attach this information.

Thanks in advance.

Thanks for the bug report.  We have reviewed the information you have provided
above, and there is some additional information we require that will be helpful
in our diagnosis of this issue.

Please attach your X server config file (/etc/X11/xorg.conf) and X server log
file (/var/log/Xorg.*.log) to the bug report as individual uncompressed file
attachments using the bugzilla file attachment link below.

Could you please also try to run without any /etc/X11/xorg.conf whatsoever and
let X11 autodetect your display and video card? Attach to this bug
/var/log/Xorg.0.log from this attempt as well, please.

We will review this issue again once you've had a chance to attach this information.

Thanks in advance.
Comment 2 Rainer Koenig 2008-07-01 08:09:32 EDT
Created attachment 310654 [details]
xorg.conf file 

The xorg.conf file with configured Generic LCD panel
Comment 3 Rainer Koenig 2008-07-01 08:10:38 EDT
Created attachment 310655 [details]
Xorg log with xorg.conf in /etc/X11

This is the xorg log with the xorg.conf in place
Comment 4 Rainer Koenig 2008-07-01 08:11:10 EDT
Created attachment 310656 [details]
output of lspci

Just to see the device Ids
Comment 5 Rainer Koenig 2008-07-01 08:11:46 EDT
Created attachment 310657 [details]
Xorg log without xorg.conf in /etc/X11

This start of X fails!
Comment 6 Rainer Koenig 2008-07-01 08:14:17 EDT
Ok, here we go. You find the xorg.conf file and some logs. The second xorg log
was done without a xorg.conf in /etc/X11 and the start of X fails. Interesting
in this context is that X tries to apply the "nv" driver but then falls back
because this nVidia graphic chip is too new for the nv driver. 
But I don't understand why it can do a fallback on the vesa driver and get it
working. 
BTW: Same machine doesn't show this problem with RHEL5.2. 
Comment 7 Bug Zapper 2009-06-09 21:52:02 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 8 Bug Zapper 2009-07-14 13:44:58 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.